Subject: Re: Using skb->mark outside netfilter

From: Jamal Hadi Salim <[email-masked]>
Date: Tue, 07 May 2013 09:30:04 -0400

On 13-05-07 09:23 AM, Antonio Quartulli wrote:

> The mark is not really encoded in the batman header.
>
> Each node is configured with a mark value (the values have to be the same on
> everynode in order to make the mechanism work correctly), then batman-adv will
> advertise to the rest of the mesh which host is sending marked packets.
>
[..]
> Receiving nodes will then restore the mark in the skb each time it is coming from
> one of those advertised hosts.
>

I see - so some control "protocol" will be used to advertise the mark
and which host will use such a mark? Or are you saying some admin is
going around and configuring 100 batman nodes? ;->

Note: I have no freaking clue in regards to batman or its usage.

> A future feature may consists in carrying the mark directly into the header so
> that batman-adv itself does not have to take care about the meaning of such
> value but will just carry it (we still have to think about it...it is just an
> idea now)
>

I think that may be more interesting because it may allow you to use
many different marks with many different meanings. It doesnt disqualify
a control protocol advertising the mark.

cheers,
jamal